From b94978c33b970d2cf669003725e686d186f0758f Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Tue, 16 Jun 2009 12:09:14 +0200
Subject: [PATCH] Add patch  http://patch-tracking.debian.net/patch/series/dl/jack-audio-connection-kit/0.116.1-4/11_fix_varargs_to_fix_ftbfs_on_alpha.patch because similar failure is being seen on ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 fix_varargs_to_fix_ftbfs.patch |   30 ++++++++++++++++++++++++++++++
 jack-audio-connection-kit.spec |    9 +++++++--
 2 files changed, 37 insertions(+), 2 deletions(-)
 create mode 100644 fix_varargs_to_fix_ftbfs.patch

diff --git a/fix_varargs_to_fix_ftbfs.patch b/fix_varargs_to_fix_ftbfs.patch
new file mode 100644
index 0000000..a5f67f4
--- /dev/null
+++ b/fix_varargs_to_fix_ftbfs.patch
@@ -0,0 +1,30 @@
+
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 11_fix_varargs_to_fix_ftbfs_on_alpha.patch.dpatch by  <asheesh@asheesh.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad jack-audio-connection-kit-0.115.6~/libjack/client.c jack-audio-connection-kit-0.115.6/libjack/client.c
+--- jack-audio-connection-kit-0.115.6~/libjack/client.c	2008-11-23 06:27:20.000000000 -0800
++++ jack-audio-connection-kit-0.115.6/libjack/client.c	2008-12-14 18:47:32.000000000 -0800
+@@ -969,7 +969,7 @@
+ 	}
+ 
+ 	/* parse variable arguments */
+-	if (ap)
++	if (options & (JackServerName | JackLoadName | JackLoadInit))
+         jack_varargs_parse(options, ap, &va);
+     else
+         jack_varargs_init(&va);
+@@ -1117,7 +1117,7 @@
+ 	jack_options_t options = JackUseExactName;
+ 	if (getenv("JACK_START_SERVER") == NULL)
+ 		options |= JackNoStartServer;
+-	return jack_client_open_aux (client_name, options, NULL, NULL);
++	return jack_client_open (client_name, options, NULL);
+ }
+ 
+ char *
+
diff --git a/jack-audio-connection-kit.spec b/jack-audio-connection-kit.spec
index ef1f4c0..ae7ccc4 100644
--- a/jack-audio-connection-kit.spec
+++ b/jack-audio-connection-kit.spec
@@ -1,7 +1,7 @@
 Summary: The Jack Audio Connection Kit
 Name: jack-audio-connection-kit
 Version: 0.116.1
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 License: GPLv2 and LGPLv2
 Group: System Environment/Daemons
 Source0: http://www.jackaudio.org/downloads/%{name}-%{version}.tar.gz
@@ -25,6 +25,8 @@ Requires(pre): shadow-utils
 Requires(post): /sbin/ldconfig
 Requires(post): pam
 
+Patch1: fix_varargs_to_fix_ftbfs.patch
+
 # To fix multilib conflicts take a basepoint as following
 %define doxyfile	doc/reference.doxygen.in
 
@@ -60,7 +62,7 @@ Small example clients that use the Jack Audio Connection Kit.
 
 %prep
 %setup -q
-
+%patch1 -p1
 # Put custom HTML_FOOTER to avoid timestamp inside
 # (recipe was taken from http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks)
 cp %{SOURCE3} doc/no_date_footer.html
@@ -176,6 +178,9 @@ EOF
 %{_bindir}/jack_midisine
 
 %changelog
+* Tue Jun 16 2009 Jitesh Shah <jiteshs@marvell.com> - 0.116.1-4.fa1
+- Applied patch http://patch-tracking.debian.net/patch/series/dl/jack-audio-connection-kit/0.116.1-4/11_fix_varargs_to_fix_ftbfs_on_alpha.patch
+
 * Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.116.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

